> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List records

> List orchestration records



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/records/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/records/list:
    post:
      tags:
        - Orchestration - Records
      summary: List records
      description: List orchestration records
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workflowUuid:
                  title: Workflow UUID
                  description: Workflow identifier.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                userUuid:
                  title: User UUID
                  description: User identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                ids:
                  title: IDs
                  description: Record IDs to include.
                  type: array
                  items:
                    type: string
                title:
                  title: Title
                  description: Record title to match.
                  type: string
                titleOrId:
                  title: Title or ID
                  description: Record title or ID to match.
                  type: string
                releaseUuid:
                  title: Release UUID
                  description: Release identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                batchUuid:
                  title: Batch UUID
                  description: Batch identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                statuses:
                  title: Statuses
                  description: Record statuses to include.
                  type: array
                  items:
                    type: string
                    enum:
                      - pending
                      - running
                      - success
                      - error
                      - cancelled
                      - cancelling
                parentBatchUuid:
                  title: Parent batch UUID
                  description: Parent batch identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                parentRunUuid:
                  title: Parent run UUID
                  description: Parent run identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                parentNodeUuid:
                  title: Parent node UUID
                  description: Parent node identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                isGroupParent:
                  title: Is group parent
                  description: Whether to select group parent records.
                  type: boolean
                executionsFilter:
                  title: Executions filter
                  description: Execution filters for matching records.
                  type: object
                  properties:
                    conjonction:
                      type: string
                      enum:
                        - or
                        - and
                    groups:
                      type: array
                      items:
                        type: object
                        properties:
                          conjonction:
                            type: string
                            enum:
                              - or
                              - and
                          conditions:
                            type: array
                            items:
                              type: object
                              properties:
                                kind:
                                  type: string
                                  const: node
                                nodeSlug:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - absent
                                    - pending
                                    - success
                                    - error
                                value:
                                  type: string
                              required:
                                - kind
                                - nodeSlug
                                - status
                        required:
                          - conjonction
                          - conditions
                  required:
                    - conjonction
                    - groups
                createdAfter:
                  title: Created after
                  description: Include records created after this timestamp.
                  type: string
                createdBefore:
                  title: Created before
                  description: Include records created before this timestamp.
                  type: string
                updatedAfter:
                  title: Updated after
                  description: Include records updated after this timestamp.
                  type: string
                updatedBefore:
                  title: Updated before
                  description: Include records updated before this timestamp.
                  type: string
                limit:
                  title: Limit
                  description: Maximum number of records to return.
                  type: number
                offset:
                  title: Offset
                  description: Number of records to skip.
                  type: number
              required:
                - workflowUuid
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        workspaceUuid:
                          type: string
                        workflowUuid:
                          type: string
                        userUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        id:
                          type: string
                        title:
                          type: string
                        runUuid:
                          type: string
                        traceUuid:
                          type: string
                        releaseUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        nodes:
                          anyOf:
                            - type: array
                              items:
                                allOf:
                                  - type: object
                                    properties:
                                      uuid:
                                        type: string
                                        format: uuid
                                        pattern: >-
                                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                      slug:
                                        type: string
                                        pattern: ^\w+$
                                      name:
                                        type: string
                                      config:
                                        type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties: {}
                                      description:
                                        type: string
                                      retry:
                                        type: object
                                        properties:
                                          maximumAttempts:
                                            type: number
                                          initialInterval:
                                            type: number
                                          backoffCoefficient:
                                            type: number
                                        additionalProperties: false
                                      childrenUuids:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                      fallbackChildUuid:
                                        type: string
                                      fallbackOnFailure:
                                        type: boolean
                                      position:
                                        type: object
                                        properties:
                                          x:
                                            type: number
                                          'y':
                                            type: number
                                        required:
                                          - x
                                          - 'y'
                                        additionalProperties: false
                                    required:
                                      - uuid
                                      - slug
                                      - config
                                      - childrenUuids
                                      - fallbackOnFailure
                                      - position
                                    additionalProperties: false
                                  - anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - native
                                          actionSlug:
                                            type: string
                                        required:
                                          - kind
                                          - actionSlug
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - connector
                                          connectorUuid:
                                            type: string
                                          integrationSlug:
                                            type: string
                                          actionSlug:
                                            type: string
                                        required:
                                          - kind
                                          - integrationSlug
                                          - actionSlug
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - tool
                                          toolUuid:
                                            type: string
                                          templateSlug:
                                            type: string
                                          releaseUuid:
                                            type: string
                                          waitUntilFinished:
                                            type: boolean
                                        required:
                                          - kind
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            enum:
                                              - agent
                                          agentUuid:
                                            type: string
                                          templateSlug:
                                            type: string
                                          releaseUuid:
                                            type: string
                                          waitUntilFinished:
                                            type: boolean
                                        required:
                                          - kind
                                        additionalProperties: false
                            - type: 'null'
                        batchUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        temporalWorkflowId:
                          type: string
                        contextS3Filename:
                          type: string
                        computedConfigsS3Filename:
                          type: string
                        parentRunUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        parentNodeUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        parentBatchUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        parentAgentUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        parentChatUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        parentMessageUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        isGroupParent:
                          anyOf:
                            - type: boolean
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - pending
                            - running
                            - success
                            - error
                            - cancelled
                            - cancelling
                        errorMessage:
                          anyOf:
                            - type: string
                            - type: 'null'
                        executions:
                          type: array
                          items:
                            allOf:
                              - type: object
                                properties:
                                  nodeUuid:
                                    type: string
                                  nodeSlug:
                                    type: string
                                  nodeBatchUuid:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  nodeRunUuid:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  nodeMessageUuid:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  nodeChildIndex:
                                    anyOf:
                                      - type: number
                                      - type: 'null'
                                  nextNodeUuid:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  status:
                                    type: string
                                    enum:
                                      - pending
                                      - success
                                      - error
                                  errorMessage:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  title:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  iconUrl:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  creditsUsedCount:
                                    type: number
                                  nodeWaitUntilFinished:
                                    type: boolean
                                required:
                                  - nodeUuid
                                  - nodeSlug
                                  - nodeBatchUuid
                                  - nodeRunUuid
                                  - nodeMessageUuid
                                  - nodeChildIndex
                                  - nextNodeUuid
                                  - status
                                  - errorMessage
                                  - title
                                  - iconUrl
                                  - creditsUsedCount
                                  - nodeWaitUntilFinished
                                additionalProperties: false
                              - anyOf:
                                  - type: object
                                    properties:
                                      nodeKind:
                                        type: string
                                        const: native
                                      nodeActionSlug:
                                        type: string
                                    required:
                                      - nodeKind
                                      - nodeActionSlug
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      nodeKind:
                                        type: string
                                        const: connector
                                      nodeActionSlug:
                                        type: string
                                      nodeConnectorUuid:
                                        type: string
                                      nodeIntegrationSlug:
                                        type: string
                                    required:
                                      - nodeKind
                                      - nodeActionSlug
                                      - nodeConnectorUuid
                                      - nodeIntegrationSlug
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      nodeKind:
                                        type: string
                                        const: tool
                                      nodeToolUuid:
                                        type: string
                                      nodeReleaseUuid:
                                        anyOf:
                                          - type: string
                                          - type: 'null'
                                    required:
                                      - nodeKind
                                      - nodeToolUuid
                                      - nodeReleaseUuid
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      nodeKind:
                                        type: string
                                        const: agent
                                      nodeAgentUuid:
                                        type: string
                                      nodeReleaseUuid:
                                        anyOf:
                                          - type: string
                                          - type: 'null'
                                    required:
                                      - nodeKind
                                      - nodeAgentUuid
                                      - nodeReleaseUuid
                                    additionalProperties: false
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        finishedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - workspaceUuid
                        - workflowUuid
                        - userUuid
                        - id
                        - title
                        - runUuid
                        - traceUuid
                        - releaseUuid
                        - nodes
                        - batchUuid
                        - temporalWorkflowId
                        - contextS3Filename
                        - computedConfigsS3Filename
                        - parentRunUuid
                        - parentNodeUuid
                        - parentBatchUuid
                        - parentAgentUuid
                        - parentChatUuid
                        - parentMessageUuid
                        - isGroupParent
                        - status
                        - errorMessage
                        - executions
                        - createdAt
                        - updatedAt
                        - finishedAt
                      additionalProperties: false
                    title: Records
                    description: Records matching the filter.
                  count:
                    type: number
                    title: Count
                    description: Total count of matching records.
                required:
                  - records
                  - count
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````